package com.ntsky.bbs.web.webwork.action.topic;

import java.util.List;
import java.util.Map;

import com.ntsky.bbs.domain.Topic;
import com.ntsky.bbs.service.PollService;
import com.ntsky.bbs.service.TopicService;
import com.ntsky.bbs.service.CategoryService;
import com.ntsky.bbs.web.webwork.action.BasicActionSupport;

/**
 * 主题操作顶层类
 *  
 * @author ntsky
 * @link www.ntsky.com
 * 
 * @version $Revision: 1.4 $ $Date: 2006/07/26 17:33:41 $
 */
public abstract class TopicActionSupport extends BasicActionSupport {
	
	protected TopicService topicService;
	public void setTopicService(TopicService topicService){
		this.topicService = topicService;
	}
	
	protected CategoryService categoryService;
	public void setCategoryService(CategoryService categoryService){
		this.categoryService = categoryService;
	}
	
	protected PollService pollService;
	public void setPollService(PollService pollService){
		this.pollService = pollService;
	}
	
	protected List topics;
	public void setTopics(List topics){
		this.topics = topics;
	}
	public List getTopics(){
		return this.topics;
	}	
	
	protected List posts;
	public List getPosts(){
		return posts;
	}
}
